Skip to main content
GET
List all tickets
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Query Parameters

page_number
integer

Retrieve paginated results by specifying the desired page number. If this parameter is absent, all results will be returned.

page_size
integer

Set the number of results returned in the response. Defaulting to 30 when omitted.

status
string

Filter tickets by their status. Accepts comma-separated values for multiple statuses. Default statuses include: new, open, waiting_on_customer, on_hold, closed, spam, trash. Custom statuses created in your organization are also supported. If omitted, tickets of all statuses are returned.

Example:

"open"

sort
enum<string>

Column to sort tickets by. If omitted, no sort is applied and tickets are returned in database order.

Available options:
created_at,
updated_at
Example:

"created_at"

order
enum<string>
default:asc

Direction to sort tickets in when sort is provided. Defaults to asc if omitted.

Available options:
asc,
desc
Example:

"desc"

Response

200 - application/json

OK - Request succeeded

tickets
object[]
pagination
object